declare type NotifyCallback = () => void;
declare type UpdateFunction = (callback: () => void) => void;
declare type BatchUpdatesFunction = (callback: () => void) => void;
/**
 * Use this function to set a custom update function.
 * This can be used to for example wrap updates with `React.act` while running tests.
 */
export declare function setUpdateFn(fn: UpdateFunction): void;
/**
 * Use this function to set a custom batch function to batch updates together into a single render pass.
 * By default React Query will use the batch function provided by ReactDOM or React Native.
 */
export declare function setBatchUpdatesFn(fn: BatchUpdatesFunction): void;
declare class NotifyManager {
    private queue;
    private transactions;
    constructor();
    batch<T>(callback: () => T): T;
    schedule(notify: NotifyCallback): void;
    flush(): void;
}
export declare const notifyManager: NotifyManager;
export {};
