import { Query } from '../core/query';
import { QueryCache } from '../core/queryCache';
import { QueryKey } from '../core/types';
export interface DehydratedQueryConfig {
    cacheTime: number;
}
export interface DehydratedQuery {
    queryKey: QueryKey;
    queryHash: string;
    data?: unknown;
    updatedAt: number;
    config: DehydratedQueryConfig;
}
export interface DehydratedState {
    queries: Array<DehydratedQuery>;
}
export declare type ShouldDehydrateFunction = (query: Query) => boolean;
export interface DehydrateConfig {
    shouldDehydrate?: ShouldDehydrateFunction;
}
export declare function dehydrate(cache: QueryCache, dehydrateConfig?: DehydrateConfig): DehydratedState;
export declare function hydrate(cache: QueryCache, dehydratedState: unknown): void;
